Description:

Creates a third curve from two curves that are planar in different construction planes. The new curve looks the same as each of the original curves when viewed in each plane.

Syntax:
public static Curve[] CreateCurve2View(
Curve curveA,
Curve curveB,
Vector3d vectorA,
Vector3d vectorB,
double tolerance,
double angleTolerance
)
Parameters:
  • curveA
  • Type: Curve
  • The first curve.
  • curveB
  • Type: Curve
  • The second curve.
  • vectorA
  • Type: Vector3d
  • A vector defining the normal direction of the plane which the first curve is drawn upon.
  • vectorB
  • Type: Vector3d
  • A vector defining the normal direction of the plane which the second curve is drawn upon.
  • tolerance
  • Type: double
  • The tolerance for the operation.
  • angleTolerance
  • Type: double
  • The angle tolerance for the operation.
Returns:
Type: Curve[]
An array containing one or more curves if successful.
Available since:
6.0

/
/
/
CreateCurve2View

CreateCurve2View method

Class:  Rhino.Geometry.Curve

Nothing found